Nowe posty

xx Migracja GRUB2 (0)
Dzisiaj o 12:30:46
xx Przydatne Linki (4)
Wczoraj o 14:13:00
xx Awstat (0)
2019-08-22, 14:55:15
xx SMB - Access denied z Windows (9)
2019-08-19, 11:27:24
xx Kali Linux - książka. (0)
2019-08-19, 00:20:25
xx Arch - startx dla uruchomienia GNOME powoduje wyłączenie komputera (6)
2019-08-18, 14:37:04
xx Nie moge urchmomic laptopa - grub rescue. (1)
2019-08-17, 18:24:00
xx Po aktualizacji zniknęły niektóre funkcje (45)
2019-08-14, 06:39:01
xx Operacje na bitach. (4)
2019-08-10, 21:44:36
xx Pblem z montowaniem dysku sieciowego (1)
2019-08-09, 23:36:45

Autor Wątek: debian 8 upgrade - problem z php  (Przeczytany 1543 razy)

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 4
    • Zobacz profil
debian 8 upgrade - problem z php
« dnia: 2018-06-25, 14:14:07 »
Witam,
po upgrade do 9, nie mogę uruchomić cacti. Przeglądarka pyta, gdzie zapisać plik.
Wrzuciłem plik info.php, zawierający:
<?php phpinfo(); ?>
do ścieżki podanej w site-enabled, tzn. /var/www/html i skrypt jest wykonywany.
Purgowałem apacha, cacti i instalowałem na nowo. Zmieniłem już nawet wersję php do 5.6 i dalej nie działa. Nie wiem już czego się chwycić.

Offline 1709

  • Users
  • Guru
  • *****
  • Wiadomości: 2182
  • 1709
    • Zobacz profil
Odp: debian 8 upgrade - problem z php
« Odpowiedź #1 dnia: 2018-06-25, 15:40:55 »
W celu debugowania problemu jakiejkolwiek aplikacji,
przeciętny użytkownik może:
1. Przeczytać logi
https://www.cacti.net/downloads/docs/html/debugging.html
2. Otworzyć aplikacje w terminalu
3. Sprawdzić na drugim, nowym koncie użytkownika.

Może tam kryje się odpowiedz problemu ?
Pochwal się swoją kartą graficzną w tym wątku-->
http://forum.linux.pl/index.php/topic,19841.msg121122.html#msg121122

Offline Paweł Kraszewski

  • Administrator
  • Guru
  • *****
  • Wiadomości: 2508
  • Lenistwo jest matką potrzeby = babcią wynalazku
    • Zobacz profil
    • Linuxpedia.PL
Odp: debian 8 upgrade - problem z php
« Odpowiedź #2 dnia: 2018-06-25, 16:01:36 »
2. Otworzyć aplikacje w terminalu
3. Sprawdzić na drugim, nowym koncie użytkownika.

Z całym szacunkiem, Cacti to webaplikacja chodząca na kompie OPa. Więc jak "otworzyć w terminalu" a zwłaszcza "na drugim, nowym koncie użytkownika"?

Ale zgodzę się, że p.1 jest OK - jeżeli wszystko inne zawiedzie, zajrzyj do logu.
Paweł Kraszewski
~Gentoo/FreeBSD/OpenBSD/Specjalizowane customy

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 4
    • Zobacz profil
Odp: debian 8 upgrade - problem z php
« Odpowiedź #3 dnia: 2018-06-26, 09:43:45 »
Próbowałem otworzyć w innej przeglądarce. IE mówi:
Cytuj
FATAL: Cannot connect to MySQL server on 'localhost'. Please make sure you have specified a valid MySQL database name in 'include/config.php'
Sprawdziłem ten config. Jest to samo co w /etc/cacti/debian.php.
Wszystko jest poprawnie wpisane, nie ma żadnych literówek.
Dodałem powłokę do www-data żeby przetestować. Loguję się bez problemu do bazy, na danych podanych w plikach konfiguracyjnych.

Purgowałem mariadb, cacti. Instalowałem na nowo, wszystko z konfiguratora bez żadnych błędów, wszystko zakończone pomyślnie.
Bez rezultatów.
cacti.log pusty:
Cytuj
root@k1:~# tail -n 200 /var/log/cacti/cacti.log
06/26/2018 09:30:02 AM - SYSTEM STATS: Time:0.5829 Method:cmd.php Processes:1 Threads:N/A Hosts:2 HostsPerProcess:2 DataSources:5 RRDsProcessed:5
Logi apache2 i mysql nie zawierają żadnych błędów.
Mogę liczyć na odrobinę więcej pomocy niż odesłanie mnie do dokumentacji cacti? To jest wstanie znaleźć samodzielnie...



Offline 1709

  • Users
  • Guru
  • *****
  • Wiadomości: 2182
  • 1709
    • Zobacz profil
Odp: debian 8 upgrade - problem z php
« Odpowiedź #4 dnia: 2018-06-27, 16:16:45 »
1. Zawsze możesz cofnąć aktualizacje php czy czegoś innego.

Zeby dany pakiet został zablokowany przy aktualizacji,
 do tego służy pin-priority
cat /var/lib/synaptic/preferences
#Package: libsqlcipher12
#Pin: version 12.0.0
#Pin-Priority: 1001
https://dug.net.pl/tekst/163/priorytety_pakietow_(apt_pinning__pin_priority)/
Gdzieś na koncie root w folderze apt , będziesz miał historie aktualizacji,
jeśli aktualizujesz z Synaptic .

2. Jeśli robiłeś aktualizacje warto wszystko sprawdzić ponownie,
( uslugi, konfiguracje, logi, pliki)
bo jak zauważyłeś w logu, cacti sie uruchomił.
Nawet przejzec jakie zmiany zostaly wprowadzone w aktualizacjach.
« Ostatnia zmiana: 2018-06-27, 16:18:53 wysłana przez 1709 »
Pochwal się swoją kartą graficzną w tym wątku-->
http://forum.linux.pl/index.php/topic,19841.msg121122.html#msg121122